2019-04-02 259次浏览

我们很高兴的宣布 Yii Framework 1.1.21 版本发布了。您可以在 yiiframework.com/download/ 进行下载。

此版本是 Yii 1.1 的一个版本,它已达到维护模式,并且只会接收必要的安全修复程序和修复程序,以便在不导致重大更改的情况下调整代码以与 PHP 7 兼容。 这使您可以在托管旧的 Yii 1.1 应用程序的环境中使您的服务器 PHP 版本保持最新,并保持在 PHP 团队支持的版本范围内。Yii 1.1.21 与 PHP 7.3 兼容,在写此文时,它已经宣布了安全支持到 2021 年 12 月 6 日。

我们建议将 Yii 2.0 用于新项目,并引入 Yii 2.0 以开发现有 Yii 1.1 应用程序中的新功能,如 Yii 2 指南中所述。 在大多数情况下,将整个应用程序升级到 Yii 2.0 将导致完全重写,因此此选项提供了逐步升级的方法,并允许您在低预算的情况下使旧应用程序保持最新状态。

此版本包括一些 PHP 7 兼容性修补程序和安全性改进。

有关此版本中的完整更改列表,请参阅更改日志。要进行升级,请务必阅读升级说明,但在此版本中没有需要升级的更改。

我们要感谢所有贡献者,他们花费了宝贵的时间来帮助改进 Yii 并使这个版本的发布成为可能。

要对此新闻发表评论,您可以在相关论坛帖子中进行评论。